Bug 1343891 - Disable spapr-rng device in downstream qemu 2.6
Summary: Disable spapr-rng device in downstream qemu 2.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.3
Hardware: ppc64le
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1289417
Blocks: 1333282
TreeView+ depends on / blocked
 
Reported: 2016-06-08 09:02 UTC by Thomas Huth
Modified: 2016-11-07 21:15 UTC (History)
8 users (show)

Fixed In Version: qemu-kvm-rhev-2.6.0-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 21:15:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2673 normal SHIPPED_LIVE qemu-kvm-rhev bug fix and enhancement update 2016-11-08 01:06:13 UTC

Description Thomas Huth 2016-06-08 09:02:51 UTC
In BZ 1337557 we came to the conclusion that we won't support the spapr-rng device in qemu-kvm-rhev. Since the device is currently available by default due to the rebase to QEMU 2.6.0, we should now make sure that it gets disabled in the downstream version again.

Comment 1 Miroslav Rezanina 2016-06-15 13:08:52 UTC
Fix included in qemu-kvm-rhev-2.6.0-6.el7

Comment 3 mazhang 2016-06-21 02:34:29 UTC
Test this bug on qemu-kvm-rhev-2.6.0-7.el7.ppc64le.

# /usr/libexec/qemu-kvm -device ? 2>&1 |grep rng
name "virtio-rng-device", bus virtio-bus
name "virtio-rng-pci", bus PCI, alias "virtio-rng"
# /usr/libexec/qemu-kvm -device spapr-rng,id=rng0
qemu-kvm: -device spapr-rng,id=rng0: 'spapr-rng' is not a valid device model name

spapr-rng device has been disabled.

Comment 5 errata-xmlrpc 2016-11-07 21:15:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2673.html


Note You need to log in before you can comment on or make changes to this bug.